APERTIUM-GEN-MODES(1)

NAME
apertium-gen-modes - intermediate mode file generator for Apertium

SYNOPSIS
apertium-gen-modes modes_file [package_name]

DESCRIPTION
This is an intermediate tool from Apertium level 2 engine. You should never have to use it independently.

It creates a series of .mode files from a modes_file; these files are then put into the current directory if they are marked as install, and for modes that are not to be installed, for example debugging modes, these are put into a modes directory inside the linguistic data.

OPTIONS
If a package name is specified, it creates the modes with the apertium install prefix plus the package name. If you wish to install the modes, you should specify the package name. If you don't want to install the modes, leave it off.

FILES

modes_file
    A XML file that tells apertium-gen-modes which scripts must be created in the directory modes.

SEE ALSO
apertium-interchunk(1), apertium-postchunk(1), apertium-validate-interchunk(1), apertium-validate-modes(1), apertium-validate-postchunk(1)

COPYRIGHT
Copyright © 2005, 2006 Universitat d'Alacant / Universidad de Alicante. This is free software. You may redistribute copies of it under the terms of the GNU General Public License: https://www.gnu.org/licenses/gpl.html.

BUGS
Many... lurking in the dark and waiting for you!